View Issue Details

IDProjectCategoryView StatusLast Update
0000164OpenMPT[All Projects] Generalpublic2017-07-13 07:54
ReporterFler0301Assigned Tomanx 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Platformx64OSWindowsOS Version7
Product VersionOpenMPT 1.19.03.00 (upgrade first) 
Target VersionOpenMPT 1.27.01.00 (upcoming stable)Fixed in Version 
Summary0000164: Problems with unicode path / file names
Description

Every time when modplug is started, an error occurs about opening keybindings file (see screenshot). Probably modplug doesn't support russian letters in the path to a keybindings file, or it is some incompatibility with Win7 x64 platform.

Steps To Reproduce

Perhaps configuration of keybindings file path can help resolve this issue.

Additional Information

Solving the remaining corner cases and cosmetic problems depends on 0000570.

TagsNo tags attached.
Has the bug occurred in previous versions?yes
Tested code revision (in case you know it)

Relationships

child of 0000570 assignedmanx OpenMPT UNICODE build 

Activities

Fler0301

Fler0301

2011-08-22 17:22

reporter  

scr.jpg (26,150 bytes)
scr.jpg (26,150 bytes)
Saga Musix

Saga Musix

2011-08-22 17:27

administrator   ~0000356

OpenMPT, as an ANSI application, does indeed have various issues with unicode filenames (see f.e. here: http://forum.openmpt.org/index.php?topic=2217.0). To circumvent your problem, you could enable OpenMPT's portable mode (as described here: http://forum.openmpt.org/index.php?topic=4350.0) and store OpenMPT in a path that doesn't contain non-ASCII characters.

jmkz

jmkz

2011-08-22 17:40

reporter   ~0000357

LOL you post before me x) so fast enough. BTW: What is required to handle unicode?

Fler0301

Fler0301

2011-08-22 18:41

reporter   ~0000359

Thx a lot, it really help me.

Keiji

Keiji

2013-10-12 17:37

reporter   ~0001348

Last edited: 2013-10-12 17:38

View 2 revisions

Just wanted to report this happens with dragging and dropping in midi files from Windows Explorer which have Japanese characters in the path, in version 1.22.05.00. Mildly annoying as I have to temporarily copy it to "temp.mid" or the like first. Hopefully this will be fixed at some point.

Saga Musix

Saga Musix

2013-10-12 17:54

administrator   ~0001349

It happens with anything, not just MIDI files (which you shouldn't listen to with OpenMPT anyway). There might be a fix soon-ish, but no idea when that will happen exactly.

Keiji

Keiji

2013-10-12 22:55

reporter   ~0001350

Last edited: 2013-10-12 22:56

View 2 revisions

Indeed I shouldn't, but I often import MIDIs. Or just quickly load them up to take a glance at the notes. This was simply where I noticed it happen.

Saga Musix

Saga Musix

2013-11-10 01:47

administrator   ~0001371

Last edited: 2013-11-10 18:42

View 3 revisions

We've made some progress recently in supporting unicode filenames in as many places as possible. There are some tricky bits that will be difficult to fix (if it's possible at all), but some parts of the application can deal with unicode filenames now:

  • Adding plugins via the plugin manager.
  • Loading and saving plugin presets.
  • Loading / saving samples and instruments via the editor or drag'n'drop.
  • Keybinding configuration.
    Drag'n'drop and loading modules from unicode paths doesn't work yet (difficult to fix) and the positions of the main toolbar and related stuff cannot be saved properly if mptrack.ini is placed in a unicode path (also difficult to fix).
    If you'd like to try out the latest progress, check out http://sagagames.de/stuff/mptrack.exe
Saga Musix

Saga Musix

2013-11-17 00:53

administrator   ~0001374

We've made more progress with regards to unicode path names during the last week. Re-download the executable from the link above to give it a try; this version can now also finally load modules from unicode paths. The autosaver is now also unicode-aware. Toolbar positions and the MRU list still cannot be saved if the .ini file resides in a unicode path, though.

Keiji

Keiji

2013-11-17 23:11

reporter   ~0001378

Gave it a quick test and looking good - can load both .it and .mid files with Unicode characters in them. Also able to save a .it file with a filename and in a folder name with Unicode characters.

One minor flaw though is that if I have a Unicode-named file open and click Save or press Ctrl-S, instead of Save As, the Save As dialog box appears regardless - with an ASCII pathname it just immediately saves the file. It will let you overwrite the existing file though so just a minor inconvenience.

Thanks for the hard work on this :)

manx

manx

2013-11-17 23:12

administrator   ~0001379

Keiji, I will look into the Save/SaveAs problem tomorrow.

manx

manx

2013-11-18 00:44

administrator   ~0001381

Last edited: 2017-02-09 07:19

View 2 revisions

Keiji, http://buildbot.openmpt.org/builds/auto/openmpt/openmpt-r3257.7z should work as one would expect now when you click Save or do any equivalent, thanks for reporting.

Saga Musix

Saga Musix

2013-12-23 22:58

administrator   ~0001420

Update: MRU list is now also unicode-aware.

manx

manx

2017-02-09 07:23

administrator   ~0002871

Dragging Unicode filenames on mptrack.exe still does not work.

Saga Musix

Saga Musix

2017-02-09 11:43

administrator   ~0002872

For this to work, we have to create our own CCommandLineInfo that does more than just overriding ParseParam().

Saga Musix

Saga Musix

2017-07-09 18:25

administrator   ~0003095

Last edited: 2017-07-09 22:12

View 3 revisions

Good news: OpenMPT compiles cleanly as a Unicode application now. However, we have not tested this very extensively yet, and it's likely that it's still blowing up in some spots, so we will most likely only enable this for OpenMPT 1.28 but not for OpenMPT 1.27. Maybe we should also provide some Unicode test builds (not necessarily through buildbot just a manual build every week or so) so that users can help spotting those spots.

manx

manx

2017-07-13 07:54

administrator   ~0003103

I think this issue can be closed at the same time that we decide to actually make Unicode release builds.

Issue History

Date Modified Username Field Change
2011-08-22 17:22 Fler0301 New Issue
2011-08-22 17:22 Fler0301 File Added: scr.jpg
2011-08-22 17:27 Saga Musix Note Added: 0000356
2011-08-22 17:40 jmkz Note Added: 0000357
2011-08-22 18:25 Saga Musix Summary Problems with loading keybindings file => Problems with unicode path / file names
2011-08-22 18:41 Fler0301 Note Added: 0000359
2013-10-12 17:37 Keiji Note Added: 0001348
2013-10-12 17:38 Keiji Note Edited: 0001348 View Revisions
2013-10-12 17:54 Saga Musix Note Added: 0001349
2013-10-12 22:55 Keiji Note Added: 0001350
2013-10-12 22:56 Keiji Note Edited: 0001350 View Revisions
2013-11-10 01:47 Saga Musix Note Added: 0001371
2013-11-10 01:47 Saga Musix Assigned To => manx
2013-11-10 01:47 Saga Musix Status new => assigned
2013-11-10 01:48 Saga Musix Note Edited: 0001371 View Revisions
2013-11-10 18:42 Saga Musix Note Edited: 0001371 View Revisions
2013-11-17 00:53 Saga Musix Note Added: 0001374
2013-11-17 23:11 Keiji Note Added: 0001378
2013-11-17 23:12 manx Note Added: 0001379
2013-11-18 00:44 manx Note Added: 0001381
2013-12-23 22:58 Saga Musix Note Added: 0001420
2014-08-14 10:54 manx Target Version => OpenMPT 1.?? (long term goals)
2014-08-14 11:05 manx Additional Information Updated View Revisions
2014-08-16 15:28 Saga Musix Relationship added child of 0000570
2017-02-09 07:19 manx Note Edited: 0001381 View Revisions
2017-02-09 07:23 manx Note Added: 0002871
2017-02-09 11:43 Saga Musix Note Added: 0002872
2017-07-09 18:25 Saga Musix Note Added: 0003095
2017-07-09 18:25 Saga Musix Note Edited: 0003095 View Revisions
2017-07-09 22:12 Saga Musix Note Edited: 0003095 View Revisions
2017-07-13 07:51 manx Target Version OpenMPT 1.?? (long term goals) => OpenMPT 1.27.01.00 (upcoming stable)
2017-07-13 07:54 manx Note Added: 0003103